<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>

<style>
.infoTable th{
 	text-align: right;
 	width: 130px;
}

.appTable{
 	width: 100%;
}
</style>




<%
String statCode = (String) request.getAttribute("statCode");
if(statCode == null){
%>	

<% 
}else if(statCode.equals("1")){
	%><br><br><br>
	<div class="syn_tilegray">
	<h4>Request submitted</h4>
	A request has been submitted to run backup. It may take up to a minute for the backup to actually start. <br><br>
	<b>Note: </b>Do not submit another backup request for this client for the next 60 seconds.
	</div> 	
	<%
}else if(statCode.equals("2")){
	%><br><br><br>
	<div class="syn_tilegray">
	<h4>Request submitted</h4>
	A request has been submitted. Logs will be sent via email to <b><%=request.getParameter("email") %></b>. It may take up to a minute to get this email. <br><br>
	<b>Note: </b>Do not submit another request for this client for the next 60 seconds.
	</div> 	
	<%
}else if(statCode.equals("-1")){
	%>
	<br><br><br>
	<div class="syn_tilegray">
	<h4>Error</h4>
	<%=request.getAttribute("errorMsg") %>
	</div> 	
	<%
}else if(statCode.equals("-2")){
	%>
	<br><br><br>
	<div class="syn_tilegray">
	<%=request.getAttribute("errorMsg") %>
	</div> 	
	<%
}
%>


<h3>Active Client Details</h3>


<%
ActiveClientBean onePing = (ActiveClientBean) request.getAttribute("onePing");
ActiveClientDetailBean details = (ActiveClientDetailBean) request.getAttribute("details");
%>

<table width="100%">
<tr><td>


<table class="infoTable">
	<tr><th>Host Name:</th><td><%=onePing.getClientHostName() %></td></tr>
	<tr><th>Connection URL:</th><td><%=onePing.getConnectingUrlOnClient() %></td></tr>
	<tr><th>Client IP:</th><td><%=onePing.getClientIP() %></td></tr>
	<tr><th>Build Number:</th><td><%=onePing.getClientBuildNumber() %></td></tr>
	<tr><th>Total Profiles:</th><td><%=details.getPingDetailsForProfile().size() %></td></tr>
	<tr><th>Max Threads:</th><td><%=details.getMaxClientThread() %></td></tr>
	<tr><th>Temp Path:</th><td><%=details.getTempPathOnClient() %></td></tr>
</table>

</td>
<td valign="top" align="center">
	<a href="app?operation=ac&st=slog&cpk=<%=onePing.getClientPK() %>" 
		title="Send a request to the client to submit its log files via email."
		onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
		>
		<img src="images/submitLogs.png" width="32"><br>Submit logs</a>
</td>
</table>


<h3>Available profiles</h3>

<table class="appTable">
	<tr>
		<th>Profile name</th>
		<th>Last ran at</th>
		<th>Next run in</th>
		<th>User Id</th>
		<th>Server URL</th>
		<th>Action</th>
	</tr>
	
	<%
	for(int i = 0; i < details.getPingDetailsForProfile().size(); i++){
		Object obj = details.getPingDetailsForProfile().get(i);
        //PingDataForProfile oneProfile = details.getPingDetailsForProfile().get(i);
        out.println("<!-- Class Name: " + obj.getClass().getName() + " -->");
        PingDataForProfile oneProfile = (PingDataForProfile) obj;
		%>
		<tr>
			<td><%=oneProfile.getProfileName() %></td>
			<td><%=oneProfile.getLastRanAsString() %></td>
			<td><%=oneProfile.getNextRunAsString() %></td>
			<td><%=oneProfile.getUid() %></td>
			<td><%=oneProfile.getServerHost() %></td>
			<td><a href="app?operation=ac&st=fr&cpk=<%=onePing.getClientPK() %>&pn=<%=oneProfile.getProfileName() %>" title="Click to run a backup now.">Run now</a></td>
		</tr>
		<%
	}
	%>
</table>

<%@ include file="Footer.jsp" %>