<%@page import="com.synametrics.syncrify.bean.*"%>

<html>
<head>
<META HTTP-EQUIV="Refresh" CONTENT="3">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<title>Activity</title>
<link rel="stylesheet" href="images/frame.css" type="text/css" />

</head>
<body>

<%
ActivityBean activityBean = (ActivityBean) request.getAttribute("activityBean");


%>


<table class="infoTable">
<tr>
<th>Server running since:</th>
<td><%=activityBean.getServerRunningSince() %></td>
</tr>

<tr>
<th>Total sessions:</th>
<td><%=activityBean.getTotalSessions() %></td>
</tr>

<tr>
<th>Active sessions:</th>
<td><%=activityBean.getActiveSessions().size() %></td>
</tr>

</table>



<h3>Active Users</h3>

<%
if(activityBean.getActiveSessions().size() == 0){
	%>
	No active backup sessions are in progress.
	<%
}else{
	%>
	<table width="100%" align="left" class="activityTable">
	<tr>
		
		<th>User</th>
		<th>Bytes</th>
		<th>Status</th>
	</tr>
	<%
	for(int i = 0; i < activityBean.getActiveSessions().size(); i++){
		ActivitySessionBean oneSession = (ActivitySessionBean)activityBean.getActiveSessions().get(i);
		int doneWidth;
		int leftWidth;
		String percentDone;
		if(oneSession.getPercentComplete() < 0){
			doneWidth = 0;
			leftWidth = 50;
			percentDone = "Analyzing data";
		}else{
			doneWidth = oneSession.getPercentComplete() / 2;
			leftWidth = 50 - doneWidth;
			percentDone = "" + oneSession.getPercentComplete() + "% completed";
		}
		
	%>
		<tr>
			<td><a href="app?operation=activity&st=jd&ji=<%=oneSession.getJobNumber()%>" target="_parent"><img src="images/jobDetails.gif" title="Connecting from <%=oneSession.getIpAddress() %> - Profile: <%=oneSession.getProfileName() %>. Click for details." border="0" /></a>
			<%=oneSession.getUserEmail() %></td>
			<td><%=oneSession.getBytesTransferred() %></td>
			<td><img src="images/memoryBlue.png" width=<%=doneWidth %> height="10" title="<%=percentDone %>"><img src="images/memoryGray.png" width=<%=leftWidth %> height="10">
		</td>
		</tr>
	<%
	}
	%>
	</table>
	<%
}
%>

</body>
</html>