<%@ include file="Header.jsp" %>
<%
String isAvailable = (String)request.getAttribute("isAvailable");
if(isAvailable == null){
	//isAvailable = "yes";
	out.println("Insufficient data. Cannot proceed");
	return;
}
if(isAvailable.equals("yes")){
	%>
	<h3>New version is available</h3>
	
	<table>
		<tr>
			<td><a href='app?operation=getNewVer'><img src="images/downloadIcon.png" width="128"></a></td>
			<td>
				A new version is available for you to download. <a href='app?operation=getNewVer'>Click here</a> to download.
				<h4>Next steps</h4>
				Following steps occur when you click the <a href='app?operation=getNewVer'>upgrade link</a>.
				<ul>
					<li>Syncrify server will pull new files from Synametrics' web server</li>
					<li>Once the files are downloaded successfully, you will have to restart Syncrify. <br><br><b>IMPORTANT: </b> Ensure backups are not running when you restart Syncrify.</li>		
				</ul>
			</td>
			
		</tr>
	</table>
	
	<h4>Frequently asked questions</h4>
	<b>Will I have to upgrade every client?</b>
	<blockquote class="syn_tilegray" style="margin-left: 30px;">
		No. Starting from v3.3 Service based clients upgrade themselves automatically when they find a newer build
		running on the server.
		<br><br>
		Integrated client must be upgraded manually to the newer build.
	</blockquote>
	
	<br><br><b>Can an older client connect to a newer server or vice-versa?</b>
	<blockquote class="syn_tilegray" style="margin-left: 30px;">
		Yes. Older clients will work with a newer version of Syncrify. Similarly, a older server will work with a newer client. Both Syncrify server and client are 
		designed to downgrade themselves on they fly when connecting to an older counterpart.
	</blockquote> 
	
	<br><br><b>What happens if Syncrify server is restarted while backups are running?</b>
	<blockquote class="syn_tilegray" style="margin-left: 30px;">
		Backups jobs will fail if a server is restarted. However, files that fail to backup should get copied next time a client runs backup for the same profile.
	</blockquote>
	
	<%
}else{
	%>
	<h3>You are running the latest version</h3>
	You are running the latest version of Syncrify. Please try again at a later time to see if a newer version is available. 
	<%
}
%>
<%@ include file="Footer.jsp" %>