<%@page import="java.io.File"%>
<%@ include file="Header.jsp" %>


<h1>Decommission <%=request.getAttribute("hostName") %></h1>

<br><br>

Decommissioning a client machine will remove every profile connecting to this server. Once done, Syncrify Client running on 
<b><%=request.getAttribute("hostName") %> (<%=request.getAttribute("ipAddress") %>)</b>
will not be able to connect to this server, without adding another profile. Consider using this option 
if you are unable to access the computer where Syncrify Client is running and want to remove profiles so that it won't 
connect to this server.

<br><br>
<b>IMPORTANT NOTE: </b> Decommissioning a client is a non-reversable operation and cannot be undone. Moreover, it will <b>NOT</b> uninstall the client. It will only
remove the profiles.

<br><br>

<form>
	<fieldset>
		<div class="required">
	        <label for="confirm" class="labelCheckbox">
	        <input type="checkbox" name="confirm" id="confirm" class="inputCheckbox" value="1" /> Confirm</label>
	        <small>Check to confirm this action</small> 
      	</div>     

      <div class="submit">
        <div>
          <input type="submit" class="inputSubmit" value="Proceed &raquo;" />
        </div>
      </div>
    </fieldset>
	<input type="hidden" name="operation" value="ac">
	<input type="hidden" name="st" value="dcomm">
	<input type="hidden" name="cpk" value="<%=request.getParameter("cpk")%>">
</form>
<%@ include file="Footer.jsp" %>
