<%@ include file="SetupTop.jsp" %>

		<h3>Database Setup</h3>
		Specify connection parameters for your database
		<br><br>
		
		<form action="<%=controllerPath%>" method="post">
		<table>
			<tr>
				<td><b>Database&nbsp;server&nbsp;host:</b></td>
				<td><input type="text" name="dbServerHost" value="<%=request.getAttribute("dbServerHost") == null ? "" : request.getAttribute("dbServerHost")  %>" 
				title="IP address or host name where the database server is running."></td>
			</tr>
			
			<tr>
				<td><b>TCP/IP port:</b></td>
				<td><input type="text" name="dbServerPort" value="<%=request.getAttribute("dbServerPort") == null ? "" : request.getAttribute("dbServerPort")  %>" 
				title="TCP/IP port where database is listening for client connections."></td>
			</tr>
			
			<tr>
				<td><b>Database name:</b></td>
				<td><input type="text" name="dbName" value="<%=request.getAttribute("dbName") == null ? "Syncrify" : request.getAttribute("dbName")  %>" 
				title="Name of the database. This must be an existing database."></td>
			</tr>
			
			<tr>
				<td><b>User ID:</b></td>
				<td><input type="text" name="dbUID" value="<%=request.getAttribute("dbUID") == null ? "" : request.getAttribute("dbUID")  %>" 
				title="User's login ID."></td>
			</tr>
			
			<tr>
				<td><b>Password:</b></td>
				<td><input type="password" name="dbPWD" value="<%=request.getAttribute("dbPWD") == null ? "" : request.getAttribute("dbPWD")  %>" 
				title="User's password."></td>
			</tr>
			
			<tr>
				<td><b>Export existing users:</b></td>
				<td><input type="checkbox" name="exportExisting" value="1" checked="checked" 
				title="Existing users in Syncrify will be exported to the table if this box is checked"> Export existing users to the database. </td>
			</tr>
			
		</table>
		
		When you click next, Syncrify will create a table in the database that is used to store users.
		
		<div align="right">
			<input type="image" src="images/Next.png" border="0" />  
		</div>
		
		<input type="hidden" name="operation" value="rdbms" />
		<input type="hidden" name="st" value="createTable" />
		<input type="hidden" name="dbType" value="<%=request.getParameter("dbType") %>" />
		
		</form>
		
<%@ include file="SetupBottom.jsp" %>