<%@page import="java.util.*, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>


<%
List<CostBean> costBeans = (List) request.getAttribute("costBeans");
String existingLicenseCount = (String)request.getAttribute("existingLicenseCount");

if(existingLicenseCount == null || existingLicenseCount.equals("1") || existingLicenseCount.equals("0")){
	%>
	<h2>Purchase new license</h2>
	You are currently running Syncrify in <b>Personal</b> mode.
	<%
}else{
	%>
	<%@ include file="PurchaseAdditionalLicenses.jsp" %>
	<%	
}
%>





<%

if(costBeans == null){
	%>
	<h3>Unable to fetch pricing</h3>
	Your system is unable to fetch pricing from Synametrics' web server. This could happen if your this server is not connected
	to the Internet or a firewall is blocking the traffic.<br><br>
	
	Cost will be displayed on the following page.
	
	<form action="http://web.synametrics.com/SyncrifyPurchase.htm" method="GET">
		<DIV>	
			<LABEL for="proceedButton">&nbsp;</LABEL>				
			<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Proceed" />
			<SMALL>You will be directed to Synametrics' web site when you click Proceed.</SMALL>						
		</DIV>
		
		<input type="hidden" name="esn" value="<%=request.getAttribute("sn")  %>" >
	</form>
	<%
}else{
	%>
	
	
	<form action="<%=request.getAttribute("purchaseUrl") %>" method="Post">	
	<table class="infoTable" style="width:100%;">
	
		<tr><th>Package</th><th> </th><th>Savings</th><th>You save</th><th>Final cost</th><th>Quantity</th></tr>
		
		<%
		for(int i = 0; i < costBeans.size(); i++){
			CostBean oneBean = costBeans.get(i);
			
			
			%>
				<tr>
					<td><%=oneBean.getPackageName() %></td>
					<td><%=oneBean.getFormattedHint() %></td>
					<td><%= (oneBean.getDiscount() == 0F) ? "None" : oneBean.getDiscountAsString() %></td>
					<td><%= (oneBean.getDiscount() == 0F) ? "N/A" : oneBean.getSavingsAsString() %></td>
					<td><%=oneBean.getPriceWithDiscountAsString() %></td>
					<td><input type="text" name="<%=oneBean.getCompleteId() %>" title="Enter the number of licenses to purchase" size="3" value="0"></td>
				</tr>
			<%
			
		}
		%>
		
		<tr>
			<td colspan="6">
				<DIV>	
					<LABEL for="proceedButton">&nbsp;</LABEL>				
					<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Proceed" />
					<SMALL>You will be directed to Synametrics' secure web site when you click Proceed.</SMALL>				
				</DIV>
			</td>
		</tr>
		
	
		
	</table>
	<input type="hidden" name="iq" value="<%=request.getAttribute("existingLicenseCountML") %>" >
		<input type="hidden" name="sn" value="<%=request.getAttribute("sn")  %>" >
		<input type="hidden" name="f2" value="<%=request.getAttribute("f2") %>" >
		
	</form>
	
	
	
	<br><br>
	Licenses in Syncrify are based on the number of machines (desktops, laptops or servers) where Syncrify Client is installed. 
	There is no charge for Syncrify Server.
	
	<br><br>
	<b>Important:</b> Branding is allowed once you purchase 50 or more licenses.
	<%
}
%>

<%@ include file="Footer.jsp" %>

