<%@page import="com.synametrics.syncrify.bean.AccessLogHolderBeanByDate, java.util.List"%>

<%@ include file="Header.jsp" %>




<div style="float:right" class="syn_tilegray">
	<h4>Legend</h4>
	<table>
		<tr><td><img src="images/bullgreen.gif"></td><td>No errors</td></tr>
		<tr><td><img src="images/bullred.gif"></td><td>One or more errors</td></tr>		
		<tr><td><img src="images/bullgray.gif"></td><td>Info not available</td></tr>
	</table>
	<b>Tip: </b>Click a red bullet to view errors.
</div>

<h1>Access Report</h1>

<br><br>
<h2>Displaying results for the past <%=request.getAttribute("numDays") %> days</h2>


<br><br>

<%
if(request.getAttribute("logEntries") != null){
	List<AccessLogHolderBeanByDate> logEntries = (List<AccessLogHolderBeanByDate>) request.getAttribute("logEntries");
	
	%>
	
	Entries in the table below are listed in reversed chronological order.<br><br>
	<table class="appTable" width="100%">
	<tr>
		<th>User login</th>
		<th>Profile name</th>
		<th>Backup date</th>
		<th>Ran for</th>
		<th>Transfer size</th>
		<th>Total files</th>
	</tr>
	
	<%
	String lastDate = "";
	for(int i = 0; i < logEntries.size(); i++){
		String newDate = logEntries.get(i).getReportDate();
		
		if(!lastDate.equals(newDate)){
			lastDate = newDate;
			
			%>
			<tr>
				<td colspan="6" class="repDateHeader"><%= logEntries.get(i).getReportDate()%></td>
			</tr>
			<%
		}
		
		%>
		<tr>
			<td><img src="images/clientBackup.png" title="Host: <%=logEntries.get(i).getClientIP() %>, build number: <%=logEntries.get(i).getClientVersion() %>"> <%=logEntries.get(i).getUserEmailOrFullName() %></td>
			<td><%=logEntries.get(i).getProfileName() %></td>
			<td><%=logEntries.get(i).getStartTimeString() %></td>
			<td><%=logEntries.get(i).getRanFor() %></td>
			<td><%=logEntries.get(i).getErrorImage() %> <%=logEntries.get(i).getTotalBytesTransferredString() %></td>
			<td><%=logEntries.get(i).getTotalFiles() %></td>
		</tr>
		<%		
	}
	%>
	</table>
	<%
}

%>

<%@ include file="Footer.jsp" %>
