<%@page import="com.synametrics.syncrify.bean.AccessLogHolderBean, java.util.List"%>

<%@ include file="Header.jsp" %>


<h1>Backup Report</h1>


<%
String errorMessage = (String) request.getAttribute("errorMessage");
if(errorMessage != null){
	out.print("<br><br><div class='syn_error'>" + errorMessage + "</div><br><br>");
}

String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	out.print("<br><br><div class='infoTable'>" + infoMessage + "</div><br><br>");
}
%>

<br><br>
<div class="syn_tilegray">
<table width="100%">

<tr>
	<td>
		<a href="app?operation=reports&upmb=1"><img src="images/ReportUpcoming.png" width="64"></a>
	</td>
	<td>
		<a href="app?operation=reports&upmb=1">Upcoming and missed backups</a>
		<br>Display jobs that will run shortly or were supposed to run but did not.
	</td>
</tr>

<tr>
	<td>
		<a href="app?operation=reports&drbu=1"><img src="images/ReportByUser.png" width="64"></a>
	</td>
	<td>
		<a href="app?operation=reports&drbu=1">Backup report by user</a>
		<br>Display backups for a user
	</td>
</tr>


<tr>
	<td>
		<a href="app?operation=reports&drbd=1"><img src="images/ReportByDate.png" width="64"></a>
	</td>
	<td>
		<a href="app?operation=reports&drbd=1">Backup report by date</a>
		<br>Display backups for the past 5 days for every user
	</td>
</tr>



<tr>
	<td>
		<a href="app?operation=reports&drbe=1"><img src="images/ReportByNoBackup.png" width="64"></a>
	</td>
	<td>
		<a href="app?operation=reports&drbe=1">Inactive users</a>
		<br>Display users who did not run backup for <%=request.getAttribute("rbeInactivityHour") %> hours
	</td>
</tr>

</table>
</div>

<h2>Report via email</h2>
Optionally, you can receive an email around midnight every day with a summary of every backup ran for that day. This report contains two sections:
<br><br>
<ul>
<li>List of users who backed up in the last 24 hours</li>
<li>List of users who did not run a backup for the number of hours you specify below (for Inactivity time).</li>
</ul>




<form action="<%=controllerPath%>" method="POST" >
	<DIV class="required">
		<LABEL for="rbeInactivityHour">Inactivity time:</LABEL>			
		<INPUT type="text" name="rbeInactivityHour" id="rbeInactivityHour" class="inputText" value="<%= request.getAttribute("rbeInactivityHour")%>"/>
		<small>Number of hours of inactivity before a user's name is included in the report</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="rbeRecipient">Email recipients:</LABEL>			
		<INPUT type="text" name="rbeRecipient" id="rbeRecipient" class="inputText"  value="<%= request.getAttribute("rbeRecipient")%>"/>
		<small>Use comma to separate more than one email address. If left blank, email will be sent to <b><%=request.getAttribute("adminEmail") %></b></small>
	</DIV>
	
	<div class="required">        
       <label for="rbeEnabled" class="labelCheckbox"><input type="checkbox" name="rbeEnabled" 
       	id="rbeEnabled" class="inputCheckbox" value="1"  <%= request.getAttribute("rbeEnabled")%> /> Enable report by email</label>
       <small>If checked, Syncrify server will send an email to the administrator every day around midnight.</small>
     </div>
     
	<DIV>	
		<LABEL for="proceedButton">&nbsp;</LABEL>				
		<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Save" />		
		
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;				
		<a href="app?operation=reports&sendte=1" title="Click here to generate report, which is sent via email.">Send Now</a>	
				
	</DIV>
	
	
	
	<input type="hidden" name="operation" value="reports">
	<input type="hidden" name="st" value="savee">
	

</form>



<%@ include file="Footer.jsp" %>
