<%@page import="com.synametrics.syncrify.bean.RepositoryPathExceptionBean, java.util.*"%>
<%@ include file="Header.jsp" %>

<%
List<RepositoryPathExceptionBean> exceptionList = (List<RepositoryPathExceptionBean>) request.getAttribute("exceptionList");

String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	%>
	
   <br><br>
	<div class="syn_error"><%=infoMessage %></div>
	<%
}
%>

<%
if(exceptionList.size() == 0){
	%>
	
	<h4>Very Important</h4>
	<div class="syn_tilegray">
	This page should <b>NOT</b> be used to specify a repository path for users. Use it for exceptional cases only.  
	<a href="http://web.synametrics.com/SyncrifyRepositoryPath.htm" target="_blank">Click here</a> to learn more about repository exceptions.
	</div>
	<%
}
%>


<form action="<%=controllerPath%>" method="post">
	
	<fieldset><legend>Add a new exception</legend>
		

       <div class="notes">

        <h4>Repository Exceptions</h4>
        <p class="last"><a href="http://web.synametrics.com/SyncrifyRepositoryPath.htm" target="_blank">Click here</a> to learn more about repository exceptions.</p>
       </div>
	    
      	
      	<div class="required">
	        <label for="loginEmail">Login Email:</label>
	        <input type="text" name="loginEmail" id="loginEmail" class="inputText" value="" />
        </div>
        
      	<div class="required">
	        <label for="profileName">Profile Name:</label>
	        <input type="text" name="profileName" id="profileName" class="inputText" value="" />
        </div>

		
        
		<div class="required">
	        <label for="path">Absolute Path:</label>
	        <input type="text" name="path" id="path" class="inputText" value="" />
        </div>
        
      <div class="submit">

        <div>
          <input type="submit" class="inputSubmit" value="Add &raquo;" />          
        </div>
      </div>
    </fieldset>
    
    <input type="hidden" name="operation" value="repExp">
    <input type="hidden" name="st" value="save">
    
</form>





<%

if(exceptionList.size() > 0){
	
	%>
	
	<h2>Existing exceptions</h2>
	
	<table class="appTable" width="100%">
		<tr>
			<th>Login email</th>
			<th>Profile name</th>
			<th>Path</th>
			<th>Action</th>
		</tr>
		
		<%
		for(int i = 0; i < exceptionList.size(); i++){
			%>
			<tr>
				<td><%=exceptionList.get(i).getLoginEmail() %></td>
				<td><%=exceptionList.get(i).getProfileName() %></td>
				<td><%=exceptionList.get(i).getPath() %></td>
				<td><a href="app?operation=repExp&st=remove&id=<%=exceptionList.get(i).getHashCode() %>" 
					onclick="javascript:return confirm('This will remove the exception rule but won't delete files from the disk. Are you sure?')"
				>Remove</a></td>
			</tr>
			<%
		}
		
		%>
		
		
		
	</table>
	<%
	
	
}
%>





<%@ include file="Footer.jsp" %>