<%@ include file="Header.jsp" %>

<h3>Contacting Support</h3>

Use the following screen to contact our support department.


<%
String error = (String) request.getAttribute("error");
if(error != null && error.length() > 0){
	%>
	<div class="syn_error">
	<%=error %>
	</div>
	<%
}
%>

<form action="<%=controllerPath%>" method="post" >

<table class="syn_tilegray" cellpadding="2" cellspacing="4">
<tr>
	<th align="right">Your name:</th>
	<td><input type="text" name="<%= request.getAttribute("ins_Name") %>" value="<%= request.getParameter("name") == null ? "" : request.getParameter("name") %>" size="30" /></td>
</tr>

<tr>
	<th align="right">Your email address:</th>
	<td><input type="text" name="<%= request.getAttribute("ins_Email") %>" value="<%= request.getAttribute("adminEmail") == null ? "" : request.getAttribute("adminEmail") %>"  size="30" /></td>
</tr>


<tr>
	<th align="right">Subject:</th>
	<td><input type="text" name="<%= request.getAttribute("ins_Subject") %>" value="<%= request.getParameter("subject") == null ? "" : request.getParameter("subject") %>"  size="60" /></td>
</tr>

<tr>
	<th align="right" valign="top">Options:</th>
	<td>
	
		<table>
		<tr>
		<td>
			<input type="checkbox" name="<%= request.getAttribute("ins_SendConfig") %>" checked="checked" title="When checked, configuration files will be attached to the support email"> Send config file</input><br>
			<input type="checkbox" name="<%= request.getAttribute("ins_SendLog") %>"  checked="checked"  title="When checked, Syncrify.log file will be attached to the support email"> Send log file</input><br>
			<input type="checkbox" name="<%= request.getAttribute("ins_SendEnv") %>"  checked="checked"  title="When checked, settings like OS name, locale info, and other environment related information is sent along with the message"> Send environment info</input><br>
			
		</td>
		<td>
			<a href="app?operation=support&st=help" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">What is this?</a>
		</td>
		</tr>
		</table>
		
		<small>We recommend you leave these options checked. They help us identify the problem.</small>
	</td>
</tr>

<tr>
	<th align="right" valign="top">Problem description:</th>
	<td>
		<textarea cols="80" rows="10" name="<%= request.getAttribute("ins_Body") %>"></textarea>
	</td>
</tr>

<tr>
	<th align="right" valign="top"></th>
	<td>
		<input type="submit" value="Send message">
	</td>
</tr>
</table>

<input type="hidden" name="operation" value="support">
<input type="hidden" name="st" value="send">
</form>
<%@ include file="Footer.jsp" %>