<%@ include file="Header.jsp" %>

<table width="100%">
	<tr>
		<td><h3>Troubleshooting Syncrify</h3></td><td align="right"><a href="http://web.synametrics.com/SyncrifyTS.htm" target="_blank">Click here</a> for more information</td>
	</tr>
</table>

<%
String passed = "<img src='images/Passed.gif' width='32' alt='Test Passed'>";
String failed = "<img src='images/Failed.gif' width='32' alt='Test Failed'>";
String disabled = "<img src='images/Disabled.gif' width='32' alt='Disabled - no test performed'>";
String error = "<img src='images/Error.gif' width='32' alt='Error occurred runnign this test'>";
String opp4Config = response.encodeURL("app?operation=config");
int httpP1 = Integer.parseInt(request.getAttribute("httpPort").toString());
int httpP2 = Integer.parseInt(request.getAttribute("httpPort2").toString());
int httpPSSL = Integer.parseInt(request.getAttribute("httpPortSSL").toString());


boolean displayFirewallSettingsDescription = false;
%>



<table class="niceTable">
	<tr style="background-color:#948673;color:#FFFFFF";font-weight:bold;>
		<th width="30%">Test name</th><th>Results</th><th>Description</th>
	</tr>

	
	<%
	if(request.getAttribute("showLocalFW").equals("true")){
	%>
	<tr>
		<th valign="top" align="right">Local Firewall:</th>
		<td valign="top"><% 
			if(request.getAttribute("localFWStatus").equals("passed")){
				out.println(passed);
			}else{
				out.println(failed);
			}
			%>
		</td>
		<td><%= request.getAttribute("lfwDescrip") %><br><br>
			<% if(!request.getAttribute("localFWStatus").equals("passed")){ %>
			<b>Fix Now</b> - </b><a href="app?operation=w&o=troubleshoot&st=cf">Click here</a> to configure local firewall on this machine.
			<%} %>
		</td>
	</tr>
	<%} %>
	
	
	<%
	if(httpP1 > 0){
	%>
	<tr>
		<th valign="top" align="right">Connection to HTTP port <%=request.getAttribute("httpPort") %>:</th>
		<td valign="top"><% 
			if(request.getAttribute("httpPortResults").equals("0")){
				out.println(disabled);
			}else if(request.getAttribute("httpPortResults").equals("1")){
				out.println(passed);
			}else if(request.getAttribute("httpPortResults").equals("2")){
				out.println(failed);
			}else{
				out.println(error);
			}
			%>
		</td>
		<td>
			<%
			if(request.getAttribute("httpPortResults").equals("0")){
				%>
				This port is disabled.
				<%
			}else if(request.getAttribute("httpPortResults").equals("1")){
				%>
				Users from the Internet will be able to connect to this server either using a web browser or Syncrify client.
				<%
			}else if(request.getAttribute("httpPortResults").equals("2")){
				displayFirewallSettingsDescription = true;
				%>
				Users from the Internet won't be able to connect. <a href="#fwSettings">See details</a> below.
				<%
			}else{
				%>
				Unable to run this test. This could occur if this machine is not on the Internet or out-bound port 80 is blocked.
				<%
			}
			%>
		</td>
	</tr>
	<%} %>
	
	
	<%
	if(httpP2 > 0){
	%>
	<tr>
		<th valign="top" align="right">Connection to HTTP port <%=request.getAttribute("httpPort2") %>:</th>
		<td valign="top"><% 
			if(request.getAttribute("httpPort2Results").equals("0")){
				out.println(disabled);
			}else if(request.getAttribute("httpPort2Results").equals("1")){
				out.println(passed);
			}else if(request.getAttribute("httpPort2Results").equals("2")){
				out.println(failed);
			}else{
				out.println(error);
			}
			%>
		</td>
		<td>
			<%
			if(request.getAttribute("httpPort2Results").equals("0")){
				%>
				This port is disabled.
				<%
			}else if(request.getAttribute("httpPort2Results").equals("1")){
				%>
				Users from the Internet will be able to connect to this server either using a web browser or Syncrify client.
				<%
			}else if(request.getAttribute("httpPort2Results").equals("2")){
				displayFirewallSettingsDescription = true;
				%>
				Users from the Internet won't be able to connect. <a href="#fwSettings">See details</a> below.
				<%
			}else{
				%>
				Unable to run this test. This could occur if this machine is not on the Internet or out-bound port 80 is blocked.
				<%
			}
			%>
		</td>
	</tr>
	<%
		}
	%>
	
	<%
	if(httpPSSL > 0){
	%>
	<tr>
		<th valign="top" align="right">Connection to HTTPS port <%=request.getAttribute("httpPortSSL") %>:</th>
		<td valign="top"><% 
			if(request.getAttribute("httpPortSSLResults").equals("0")){
				out.println(disabled);
			}else if(request.getAttribute("httpPortSSLResults").equals("1")){
				out.println(passed);
			}else if(request.getAttribute("httpPortSSLResults").equals("2")){
				out.println(failed);
			}else{
				out.println(error);
			}
			%>
		</td>
		<td>
			<%
			if(request.getAttribute("httpPortSSLResults").equals("0")){
				%>
				This port is disabled.
				<%
			}else if(request.getAttribute("httpPortSSLResults").equals("1")){
				%>
				Users from the Internet will be able to connect to this server either using a web browser or Syncrify client.
				<%
			}else if(request.getAttribute("httpPortSSLResults").equals("2")){
				displayFirewallSettingsDescription = true;
				%>
				Users from the Internet won't be able to connect. <a href="#fwSettings">See details</a> below.
				<%
			}else{
				%>
				Unable to run this test. This could occur if this machine is not on the Internet or out-bound port 80 is blocked.
				<%
			}
			%>
		</td>
	</tr>
	<%
	}
	%>
	
	<tr>
		<th valign="top" align="right">Disk Speed:</th>
		<td valign="top" colspan="2">
			<b>Test file size:</b> <%=request.getAttribute("speedTestFileSize") %><br>					
			<b>Temp Directory:</b><br><%=request.getAttribute("readSpeedTemp") %><br>
			<b>User Repository:</b><br><%=request.getAttribute("readSpeedUserRepository") %><br>
			<b>Installation Folder:</b><br><%=request.getAttribute("readSpeedSyncrify") %><br>
			<b>NOTE:</b> Read times are often skewed when using virtual disk due to caching.
		</td>
		
	</tr>
	
	
	
	
	<tr>
		<th valign="top" align="right">Connection to email server:</th>
		<td valign="top"><% 
			if(request.getAttribute("smtpRC").equals("0")){
				out.println(disabled);
			}else if(request.getAttribute("smtpRC").equals("1")){
				out.println(failed);
			}else if(request.getAttribute("smtpRC").equals("2")){
				out.println(failed);
			}else if(request.getAttribute("smtpRC").equals("3")){
				out.println(failed);
			}else if(request.getAttribute("smtpRC").equals("100")){
				out.println(passed);
			}else{
				out.println(error);
			}
			%>
		</td>
		<td>
			<%
			if(request.getAttribute("smtpRC").equals("0")){
				%>
				SMTP server is not configured. Emails cannot be sent unless SMTP server is configured correctly. <a href="<%=opp4Config %>&st=main">Click here</a> to configure
				the SMTP server.
				<%
			}else if(request.getAttribute("smtpRC").equals("2")){
				%>
				A test message sent to <%=request.getAttribute("adminEmail") %> failed. <div class="syn_code">Error: <%=request.getAttribute("smtpError") %></div>
				<%
			}else if(request.getAttribute("smtpRC").equals("3")){
				%>
				A test message sent to <%=request.getAttribute("adminEmail") %> failed. <div class="syn_code">Error: <%=request.getAttribute("smtpError") %></div> 
				This happens when your SMTP server denies relaying messages to other domains. This problem is typically solved by using
				specifying a user id and password when connecting to your SMTP server.
				<%
			}else if(request.getAttribute("smtpRC").equals("1")){
				%>
				No SMTP server is listening on the configured host name and/or port. This means either you have specified an incorrect value for
				SMTP host/port or a firewall is blocking network access to this machine. <a href="<%=opp4Config %>&st=main">Click here</a> to configure
				the SMTP server.
				<%
			}else if(request.getAttribute("smtpRC").equals("100")){
				%>
				Test message was sent successfully.
				<%
			}else{
				%>
				Unable to run this test..
				<%
			}
			%>
		</td>
	</tr>
	
	
	<%
	if(!request.getAttribute("connToInternet").equals("true")){
	%>
	<tr>
		<th valign="top" align="right">Outbound connect to Internet:</th>
		<td valign="top"><% 
			out.println(failed);
			%>
		</td>
		
		<td>
			Syncrify server is not able to connect to Synametrics' web server over the Internet. Following side-effects occur when out-bound port 80 is blocked:
			<ul>
				<ul>You won't be able to upgrade to the latest version</ul>
				<ul>The <a href="app?operation=about">About</a> screen won't be able to fetch support expiration date</ul>
			</ul>
			
		</td>
	</tr>
	<%
	}
	%>
	
	<!-- 
	<tr>
		<th valign="top" align="right">Connection to Database:</th>
		<td valign="top"><% 
			if(request.getAttribute("connToDB").equals("true")){
				out.println(passed);
			}else{
				out.println(failed);
			}
			%>
		</td>
		<td></td>
	</tr>
	-->
	<tr>
		<th valign="top" align="right">Using latest version:</th>
		<td valign="top"><% 
			if(request.getAttribute("usingLatestVersion").equals("true")){
				out.println(passed);
			}else{
				out.println(failed);
			}
			%>
		</td>
		<td> 	
			<% 
			if(request.getAttribute("usingLatestVersion").equals("true")){
				%>
				You are using the latest version
				<%
			}else{
				%>
				A new version is available. <a href="app?operation=checkNewVersion">Click here</a> to obtain the latest version.
				<%
			}
			%>
		</td>
	</tr>
	
	<tr>
		<td colspan="3" align="center">
			<form action="<%=controllerPath%>" method="post" >
				<input type="submit" value="Run again" />
				<input type="hidden" name="operation" value="w" title="Click here to run these tests again" />
				<input type="hidden" name="o" value="troubleshoot" />
				
			</form>
		</td>
	</tr>
</table>


<%
if(displayFirewallSettingsDescription){
%>
<a name="fwSettings"></a>
<h3>Unable to connect from the Internet</h3>
It appears users from the Internet are not able to connect to this server. This happens when a firewall is blocking
in-bound connections to Syncrify's HTTP server. Typically, there are two firewalls:

<br><br>
<b>1 - Local Machine</b>
<blockquote class="syn_tilegray">
	Most newer operating systems have a firewall on the local machine. 
	
	<%
	if(request.getAttribute("showLocalFW").equals("true")){
		%>
		Refer to test results above to see if you need to configure the local firewall. 			
		<%
	}else{
		%>
		Check if the firewall is enabled on the machine where Syncrify is running. 
		<%
	}
	%>
	
</blockquote>



<b>2 - Network Router</b>
<blockquote class="syn_tilegray">
	Most routers also contain a built-in firewall that blocks traffic from the Internet. If your router supports 
	<a href="http://en.wikipedia.org/wiki/Universal_Plug_and_Play" title="Universal Plug and Play" target="_blank">UPnP</a>, you can 
	<a href="<%=opp4Config %>&st=main#tab3">enable this feature</a> in Syncrify
	to automatically configure this router. Alternatively, connect to the routers configuration and look for <b>Port Forwarding</b>.
</blockquote>


<%} %>
<%@ include file="Footer.jsp" %>