<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>


<%@ include file="Header.jsp"%>


<table cellspacing="5" width="100%">
<tr>
	<td width="80"><img src="images/ConfigurationTitle.gif"> </td>
	<td><h1>User Management</h1></td>
	<td align="right">
	<a href="app?operation=repExp" title="Click here to manage repository exception" >Repository Exceptions <img src="images/advConfig.gif" alt="Repository Exceptions" border="0"></a>
	</td>
</tr>
</table>


<script language="javascript" type='text/javascript'>
	function showdiv(divName) {
		document.getElementById(divName).style.display = 'block';
	}
</script>

<script type="text/javascript" language="javascript" src="ajaxopenfiledlg/ajaxopenfiledlg.nocache.js"></script>

<br>


<%
if(request.getAttribute("errorMessage") != null){
	%>
	<div class="syn_error"><%=request.getAttribute("errorMessage") %></div><br><br>
	<%
}

if(request.getAttribute("infoMessage") != null){
	%>
	<br><br>
	<table class="infoTable" width="100%">
		<tr><td><%=request.getAttribute("infoMessage") %></td></tr>
	</table>
	<br><br>
	<%
}




String urlForNewUser = (String)request.getAttribute("urlForNewUser");

if(urlForNewUser == null || urlForNewUser.length() == 0){ %>
<a href="#" onclick="showdiv('addUserDiv')" title="Click here to add a new user" ><img src="images/addUser.png" border="0"> Add a new user</a>
<%
}else{ %>
<a href="<%=urlForNewUser %>" title="Click here to add a new user" ><img src="images/addUser.png" border="0"> Add a new user</a>
<% }%>

<div id="addUserDiv" style="display:none">

<form action="<%=controllerPath%>" method="post">

<table>

	<tr>
		<td>User's Full Name:</td>
		<td><INPUT type="text" name="fullName" id="fullName" class="inputText" value="" title="Full name of the user" /></td>
	</tr>
	
	<tr>
		<td>User's Email:</td>
		<td><INPUT type="text" name="login" id="login" class="inputText" value="" autocomplete="off" title="Email address serves a login ID" /></td>
	</tr>
	
	<tr>
		<td>Password:</td>
		<td><INPUT type="password" name="password" id="password" class="inputText" value="" autocomplete="off" title="Password used for authentication" /></td>
	</tr>
	
	<tr>
		<td>Max Versions:</td>
		<td><INPUT type="text" name="numVersionsToKeep" id="numVersionsToKeep" size="5" class="inputText" value="0" title="Number of versions to keep on the server. 0 means versioning is disabled." /></td>
	</tr>
	
	
	<tr>
		<td>Disk Quota:</td>
		<td><INPUT type="text" name="diskQuota" id="numVersionsToKeep" size="5" class="inputText" value="-1" title="Maximum disk space allowed for this user. -1 means no limits" /></td>
	</tr>
	
	
	<tr>
		<td>Repository path:</td>
		<td id="path" title="Location where the backup files are stored on the server."></td>
	</tr>

	<tr>
		<td><input type="submit" value="Create" class="dialogButton" title="Click here to add a new shared folder"></td>
		<td id="browse"></td>
	</tr>
	
</table>
	
	<input type="hidden" name="operation" value="manageUsers" />
	<input type="hidden" name="st" value="addUser" />
	
</form>


</div>



<%
List<UserBean> users = (List<UserBean>) request.getAttribute("users");
String opp4MngUsers = response.encodeURL("app?operation=manageUsers");

if(users != null && users.size() > 0){
	
	%>
	
	<div align="right"><b>Total users: </b> <%=users.size() %></div>
	
	<table class="appTable" width="100%"> 
		<tr>
			<th title="Email address, which is also used as a login ID">Email</th>
			<th title="Path were files are stored on the server">Repository Path</th>
			<th title="Total disk space used compared to their assigned quota">Disk used / Quota</th>
			<th title="Total profiles for this user">Profiles</th>
			<th align="right">Action</th>
		</tr>
		<%
		for(int i = 0; i < users.size(); i++){
			String loginStyle = "";
			if(!users.get(i).isActive()){
				loginStyle = " style='text-decoration:line-through;' ";
			}
		%>
		<tr>
			<td<%=loginStyle %>><%=users.get(i).getFormattedLogin() %></td>
			<td><%=users.get(i).getRepositoryPath() %></td>
			<td><a href="<%=opp4MngUsers %>&st=rdu&email=<%=users.get(i).getLoginEncoded()%>"
			       title="Recalculate disk usage for <%=users.get(i).getLogin() %>"
				   ><img src="images/refresh.gif"></a> 
				   
				<% if(users.get(i).getDaysForDeleteRetention() > 0){ %>  
				
				<a href="<%=opp4MngUsers %>&st=ddc&email=<%=users.get(i).getLoginEncoded()%>"
			       title="View files that have been deleted on the client but are retained on the server"
				   ><img src="images/drEnabled.gif"></a>
				<%}else{%>
				<img src="images/drDisabled.gif" title="Delete retention is disabled for <%=users.get(i).getLogin() %>">
				<%					
				}
				%>
				<%= users.get(i).getFormattedDiskUsage()%></td>
			<td><%=users.get(i).getProfileCount() %>
				<%
				if(users.get(i).getProfileCount() > 0){
					%>
					<a href="<%=opp4MngUsers %>&st=viewProfile&email=<%=users.get(i).getLoginEncoded() %>" title="Click here to view profiles for this user">
					(View)
					</a>
					<%
				}
				%>
			
			</td>
			<td align="right"><a href="<%=opp4MngUsers %>&st=modifyPassword&email=<%=users.get(i).getLoginEncoded() %>" 
				title="Modify settings for <%=users.get(i).getLogin() %>"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>Modify</a> |
				<a href="<%=opp4MngUsers %>&st=removeUser&email=<%=users.get(i).getLoginEncoded() %>" 
					title="Remove user account for <%=users.get(i).getLogin() %>"
					onclick="javascript:return confirm('This will delete the user and remove every backed up files. Are you sure?')"
					>Remove</a>
			</td>
		</tr>
		
		<%
		}
	%>
	
	</table>
	
	<%
}
%>



<%@ include file="Footer.jsp"%>
