<%@page import="com.synametrics.syncrify.bean.ClientRegBean, java.util.List"%>
<%@ include file="Header.jsp" %>



<h1>Registered clients</h1>
<br><br>
Following is a list of client machines that have been registered with this server. Each client machine uses
one license. 

<br><br>
<table class="syn_tilegray">
<tr>
	<th align="right">Available client-machine licenses:</th>
	<td>&nbsp;&nbsp; <%=request.getAttribute("totalLicCount") %></td>
</tr>

<tr>
	<th align="right">Number of licenses in use:</th>
	<td>&nbsp;&nbsp; <%=request.getAttribute("totalUsedCount") %></td>
</tr>


</table>

<%
List<ClientRegBean> clients = (List<ClientRegBean>) request.getAttribute("clients");

if(clients.size() == 0){
	%>
	
	<br><br>No clients have been registered yet.
	<%
}else{
	%>
	
	<h4>List of existing clients</h4>
	
	<table class="appTable" width="100%">
		<tr>
			<th>Client's host name/NIC</th>
			<th>Registration date</th>
			<!--  <th>Last access date</th> -->
			<th>Action</th>
		</tr>
		
		<%
		for(int i = 0; i < clients.size(); i++){
			%>
			<tr>
				<td><%=clients.get(i).getFormattedName()%></td>
				<td><%=clients.get(i).getFirstConnectionDate()%></td>
				<!--  <td><%=clients.get(i).getLastConnectionDate() %></td> -->
				<td><a href="app?operation=vreg&st=r&host=<%=clients.get(i).getHostName() %>&cid=<%=clients.get(i).getClientId() %>" 
				onclick="javascript:return confirm('This will unregister the client machine and release its license. Are you sure?')"
				title="Unregister this host from server">Unregister</a></td>
			</tr>
			<%
		}
		%>
		
	</table>
	
	
	<%
}

%>


<%@ include file="Footer.jsp" %>

