# Result looks like:
#--------------------------------
# Name                 : Syncrify
# Description          : 
# ApplicationName      : 
# serviceName          : 
# Protocol             : 6
# LocalPorts           : 5800,52110,53110
# RemotePorts          : *
# LocalAddresses       : *
# RemoteAddresses      : *
# IcmpTypesAndCodes    : 
# Direction            : 1
# Interfaces           : 
# InterfaceTypes       : All
# Enabled              : True
# Grouping             : 
# Profiles             : 2147483647
# EdgeTraversal        : False
# Action               : 1
# EdgeTraversalOptions : 0

$portParam = "^^PortNumber^^"

$profile = New-Object -ComObject hnetcfg.fwpolicy2 
$candidate = $profile.Rules | where-object {$_.localports -match $portParam }

# Is firewall enabled? 
if ($profile.FirewallEnabled) { 
    $retCode = 0
} 
else { 
    $retCode = 100
} 

if($candidate -eq $null){
	$retCode = $retCode + 2
	"Port not configured: {0}" -f $retCode
}else{
	$candidate.Enabled = $TRUE
	$retCode = $retCode + 3
	"Port enabled:  {0}" -f $retCode
}

exit $retCode
