<%@ include file="Header.jsp" %>

<h3>About Syncrify</h3>

<table cellspacing="15"> 
	<tr>
	<td>
	<img src="images/SyncrifyLogo.png">
	</td>
	<td>
	<h3>Syncrify - <small>Version: <%=com.synametrics.sradef.util.VersionManager.getInstance().getFullVersion() %></small></h3>
	Syncrify is a fast, incremental, web-based backup software. <a href="http://syncrify.com" target="_blank">Click here</a> 
	for more information.
		
	<br><br>
	

		<br><br>
		<table class="infoTable" width="100%">
			<tr>
				<th>Registered to:</th>
				<td><%=request.getAttribute("company") %></td>
			</tr>
			<%if(request.getAttribute("serialNumber") != null){ %>
			<tr>
				<th>Serial number:</th>
				<td><%=request.getAttribute("serialNumber") %></td>
			</tr>
			
			<tr>
				<th>License count:</th>
				<td><%=request.getAttribute("userLicense") %></td>
			</tr>
			
			<tr>
				<th>Support Expiration:</th>
				<td><%=request.getAttribute("sceo") %>
				<%
				if(request.getAttribute("afscr").equals("true")){
					%>
					<a href="app?operation=suppr" title="Click here to renew your support contract"> (renew now)</a>
					<%
				}
				%>
				</td>
			</tr>
			
			<%} %>
			
			<tr>
				<th>Edition:</th>
				<td><%
					out.print(request.getAttribute("edition"));
					if(request.getAttribute("isMacLic") != null){
						out.print("<br>(<a href='app?operation=vreg'>View registrations</a>)");
					}
				%></td>
			</tr>		
		</table>



	<br><br>
	
	<%
	if(request.getAttribute("showPurchase") != null){
		
		String pImage, pTitleDesc;
		if(VisualUtils.getInstance().isPoT()){
			pImage = "images/UpgradeToProButton.jpg";
			pTitleDesc = "Upgrade to Professional edition";
		}else{
			pImage = "images/PurchaseButtons.jpg";
			pTitleDesc = "Purchase additional licenses";
		}
	%>
	
	
	<table width="100%" border='0'>
		<tr>
		<td>&nbsp;</td>
		<td width="30%">
			<a href="app?operation=buy" title="<%=pTitleDesc%>">
			<img src="<%=pImage %>" border="0" alt="<%=pTitleDesc%>" />
			</a>
		</td>
		<td width="30%">
			
			<a href="app?operation=buy&st=manualapply" title="Enter a different serial number by clicking here">
			<img src="images/EnterSerialButton.jpg" border="0" alt="Enter serial number" />
			</a>
		</td>
		<td>&nbsp;</td>
		</tr>
	</table>
	<%} %>


	</td>
	</tr>
</table>


<%@ include file="Footer.jsp" %>