<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>

<h3>Remote Clients</h3>

<style>
.crossedOut{
    text-decoration:line-through; 
    color:#AAAAAA;
}
</style>
<%




String statCode = (String) request.getAttribute("statCode");
if(statCode == null){
%>
	This page display clients where remote controlling is enabled. If you do not see a client that you expect, consider the following possible reasons:
	
	<ul>
	<li>Syncrify client is older than build 657. Try upgrading the client.</li>
	<li>The client cannot see the server due to some network problem</li>
	<li>Client service is not running</li>
	<li>A row is <span class="crossedOut">crossed out</span> if remote controlling is disabled on the client.</li>
	</ul> 

<% 
}else if(statCode.equals("1")){
	%>
	<h4>Request submitted</h4>
	A request has been submitted to run backup. It may take up to a minute for the backup to actually start. 	
	<%
}else if(statCode.equals("-1")){
	%>
	<h3>Error</h3>
	<%=request.getAttribute("errorMsg") %> 	
	<%
}else if(statCode.equals("-2")){
	%>
	<%=request.getAttribute("errorMsg") %> 	
	<%
}else if(statCode.equals("2")){
	%>
	<h4>Request submitted</h4>
	A request has been submitted to decommission the client. It could take up to 60 seconds for this to take affect.<br><br>
	<%
}
%>



<%
List<ActiveClientBean> activeClients = (List<ActiveClientBean>) request.getAttribute("activeClients"); 
%>


<table class="appTable" width="100%">
<tr><th>User ID</th><th>Host name</th><th>IP Address</th><th>Running since</th><th>Action</th></tr>


<%
if(activeClients.size() > 0){
	
	for(int i = 0; i < activeClients.size(); i++){
		ActiveClientBean oneBean = activeClients.get(i);
		
	%>
		<tr>
			
			
			<%
			if(oneBean.isEnabled()){
			%>
				<td><%=oneBean.getUserIdOrName() %></td> 
				<td><a href="app?operation=ac&st=dcomm&cpk=<%=oneBean.getClientPK() %>"><img src="images/delete.gif" title="Decommission client machine" /></a> <%=oneBean.getClientHostName() %></td>
				
				<td><%=oneBean.getClientIP() %></td>
				<td><%=oneBean.getClientRunningSinceAsString() %></td>
				<td>
				<a href="app?operation=ac&st=details&cpk=<%=oneBean.getClientPK() %>">View details</a>
				
				<%
				if(oneBean.isAdministrationAllowed()){
					%>
					| <a href="app?operation=ac&st=adm&cpk=<%=oneBean.getClientPK() %>">Administer</a>
					<%
				}
				%>
				</td>
			<%}else{
				%>
				<td class="crossedOut"><%=oneBean.getClientHostName() %></td>
				<td class="crossedOut"><%=oneBean.getClientIP() %></td>
				<td class="crossedOut">Unknown</td>
				<td class="crossedOut">Disabled</td>
				<%
			}
			%>
			
		</tr>
	<%
	}
}else{
	%>
	<tr><td colspan="5">No active clients found</td></tr>
	<%
}
%>


</table>
<%@ include file="Footer.jsp" %>