<%@ include file="Header.jsp" %>

<%
String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	%>
	<br><br>
	<div class="syn_error"><%=infoMessage %></div>
	<%
}
%>

<form action="<%=controllerPath%>" method="post">
	
	<fieldset><legend>Advanced</legend>
		<!-- 
		<div class="required">
	        <label for="first_name">Save:</label>
	        <input type="text" name="first_name" id="first_name" class="inputText" size="10" maxlength="100" value="" />
      	</div>
      	saveClientBackupLog
      
      	-->
      
      
      	<div class="required">
	        <label for="emailSenderName">Email Sender:</label>
	        <input type="text" name="emailSenderName" id="emailSenderName" class="inputText" size="10" maxlength="100" value="<%=request.getAttribute("emailSenderName") %>" />
	        <small>Name used in the <b>Sender</b> field when generating emails containing backup reports.</small>
      	</div>
      	
      	<div class="required">
	        <label for="errorRecipient">Error Recipient:</label>
	        <input type="email" name="errorRecipient" id="errorRecipient" class="inputText" size="10" maxlength="100" value="<%=request.getAttribute("errorRecipient") %>" />
	        <small>This must be a valid email address. If specified, backup reports containing errors will be sent to this address.</small>
      	</div>
      	
      	
      	
      	<div class="required">
	        <label for="globalSelFilter">Global Selection filter:</label>
	        <input type="text" name="globalSelFilter" id="globalSelFilter" class="inputText" size="10" maxlength="255" value="<%=request.getAttribute("globalSelFilter") %>" />
	        <small>Every client is forced to use this selection filter. <a href="http://web.synametrics.com/SyncrifySelFilterSS.htm">Click here</a> for details.</small>
      	</div>
      	
      	<div class="required">
	        <label for="saveClientBackupLog" class="labelCheckbox"><input type="checkbox" 
	        		name="saveClientBackupLog" id="saveClientBackupLog" class="inputCheckbox" 
	        		<%=request.getAttribute("saveClientBackupLog") %>
	        		value="1" /> Save client log</label>
	        <small>If checked, backup log from clients will be saved on the server machine. Files will be saved in <br><b><%=request.getAttribute("clientLogFolder") %></b></small>
      	</div>
      
      	<div class="required">
	        <label for="forceClientToUseFolderCache" class="labelCheckbox"><input type="checkbox" 
	        		name="forceClientToUseFolderCache" id="forceClientToUseFolderCache" class="inputCheckbox" 
	        		<%=request.getAttribute("forceClientToUseFolderCache") %>
	        		value="1" /> Force clients to use local cache</label>
	        <small>If checked, clients will be forced to use <a href="http://web.synametrics.com/SyncrifyFolderCache.htm" target="_blank" >local cache</a>. </b></small>
      	</div>
      	
      	<div class="required">
	        <label for="ssCacheEnabled" class="labelCheckbox"><input type="checkbox" 
	        		name="ssCacheEnabled" id="ssCacheEnabled" class="inputCheckbox" 
	        		<%=request.getAttribute("ssCacheEnabled") %>
	        		value="1" /> Enable server-side cache</label>
	        <small>If checked, server-side cache is used which affects backups that run in <b>Server-to-client</b> direction" <a href="http://web.synametrics.com/SyncrifySSCache.htm" target="_blank" >Click here</a> for details.</small>
      	</div>
      	
      	<div class="required">
	        <label for="disableServerToClient" class="labelCheckbox"><input type="checkbox" 
	        		name="disableServerToClient" id="disableServerToClient" class="inputCheckbox" 
	        		<%=request.getAttribute("disableServerToClient") %>
	        		value="1" /> Disable server-to-client direction</label>
	        <small>If checked, no client will be able to specify Server-To-Client for direction. <a href="http://web.synametrics.com/SyncrifyDisableS2C.htm" target="_blank" >More info</a>. </b></small>
      	</div>
      	
      	<div class="required">
	        <label for="notifyAdminForNewVer" class="labelCheckbox"><input type="checkbox" 
	        		name="notifyAdminForNewVer" id="notifyAdminForNewVer" class="inputCheckbox" 
	        		<%=request.getAttribute("notifyAdminForNewVer") %>
	        		value="1" /> New version notification</label>
	        <small>If checked, administrator is sent an email when a newer build is available.</small>
      	</div>
      	
	</fieldset>
	
	<fieldset>
      <div class="submit">

        <div>
          <input type="submit" class="inputSubmit" value="Save &raquo;" />          
        </div>
      </div>
    </fieldset>
    
    <input type="hidden" name="operation" value="advConfig">
    <input type="hidden" name="st" value="save">
    
</form>

<%@ include file="Footer.jsp" %>