


<b>IMPORTANT: </b>Changes on this page won't take affect until Syncrify is restarted.<br><br>
<form action="<%=controllerPath%>" method="post" >

<fieldset>

<LEGEND>HTTP configuration</LEGEND>



<DIV class="notes">
	<H4>HTTP Port</H4>
	<P class="last">
		Syncrify contains a built-in web server. Users connect to this web server to backup and view backed up files. This web server can listen 
		on two TCP/IP ports: primary and secondary. Additionally, you can also install an SSL certificate to make the connections secure. 
	</P>
</DIV>



<DIV class="required">
	<LABEL for="httpPort">Primary HTTP Port:</LABEL>			
	<INPUT type="text" name="httpPort" id="httpPort" class="inputText" value="<%= request.getAttribute("httpPort") == null ? "" : request.getAttribute("httpPort") %>" />
	<small>TCP/IP port for the built-in HTTP server. We recommend you use port 80 for this value, unless some other web server is being used on the machine.</small>
</DIV>

<DIV class="required">
	<LABEL for="httpPort2">Secondary HTTP Port:</LABEL>			
	<INPUT type="text" name="httpPort2" id="httpPort2" class="inputText" value="<%= request.getAttribute("httpPort2") == null ? "" : request.getAttribute("httpPort2") %>" />
	<small>TCP/IP port for the secondary HTTP server. A value greater than 0 for this field will cause Syncrify to listen to another TCP/IP port.</small>
</DIV>

<DIV class="required">
	<LABEL for="httpPortSSL">Secure HTTP Port:</LABEL>			
	<INPUT type="text" name="httpPortSSL" id="httpPortSSL" class="inputText" value="<%= request.getAttribute("httpPortSSL") == null ? "" : request.getAttribute("httpPortSSL") %>" />
	<small>TCP/IP port for secure HTTP server (SSL). This value is use if you have a valid SSL certificate installed.</small>
</DIV>

<DIV class="required">
	<LABEL for="preferredUrl">Preferred URL:</LABEL>			
	<INPUT type="text" name="preferredUrl" id="preferredUrl" class="inputText" value="<%= request.getAttribute("preferredUrl") == null ? "" : request.getAttribute("preferredUrl") %>" />
	<small>If specified, the server will ask clients to use this URL when connecting.</small>
</DIV>


<div class="required">
	<label for="useUpnp" class="labelCheckbox"><input type="checkbox" 
			name="useUpnp" id="useUpnp" class="inputCheckbox" 
			<%=request.getAttribute("useUpnp") %>
			value="1" /> Enable UPNP</label>
	<small>If checked, Syncrify will automatically attempt to configure your network firewall, provided UPNP (Universal Plug-n-Play) is supported</b></small>
</div>
      	
      	

<DIV>	
	<LABEL for="proceedButton">&nbsp;</LABEL>				
	<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Save" />				
</DIV>

</fieldset>

<input type="hidden" name="operation" value="config" />
<input type="hidden" name="st" value="saveBasic" />

</form>

