<%@ include file="Header.jsp" %>
<H1>Downloading backup client</H1>

<br><br>
Use the following links to download the client installer.
<br><br>
<ul>
	<%
	if(request.getAttribute("winServ32").toString().equals("1")){
		%>
		<li><a href="app?operation=dnci&type=winServ32">Microsoft Windows - Recommended for 32bit OS</a></li>
		<li><a href="app?operation=dnci&type=winServ64">Microsoft Windows - Recommended for 64bit OS</a></li>
		<%
	}
	%>
	
	<%
	if(request.getAttribute("win32").toString().equals("1")){
		%>
		<li><a href="app?operation=dnci&type=windows">Microsoft Windows Integrated client - 32bit</a></li>
		<li><a href="app?operation=dnci&type=windows64">Microsoft Windows Integrated client - 64bit</a></li>
		<%
	}
	%>
	
	<li><a href="app?operation=dnci&type=macServ">Apple Mac - Service based (<small>recommended for Yosemite, El Capitan and above</small>)</a></li>
	<li><a href="app?operation=dnci&type=mac">Apple Mac - Integrated (<small>recommended for Snow Leopard</small>)</a></li>
	<li><a href="app?operation=dnci&type=linux">Linux, UNIX, BSD</a></li>
	
</ul>

<h3>Download <%=request.getAttribute("syncriBoxAppName")%></h3> 
<ul>
	<li><a href="app?operation=dnci&type=syncribox32"><%=request.getAttribute("syncriBoxAppName")%> for Windows 32</a></li>
	<li><a href="app?operation=dnci&type=syncribox64"><%=request.getAttribute("syncriBoxAppName")%> for Windows 64</a></li>
	<li><a href="app?operation=dnci&type=syncriboxMac"><%=request.getAttribute("syncriBoxAppName")%> for Mac OS X</a></li>
</ul>
<br><br>

<strong>Note:</strong> Backup on Mac OS X is not support on versions earlier than Yosemite.

<h3>Installation instructions - Windows</h3>
<ul>

<li>Download installer from the link above</li>
<li>Extract setup.exe from the zipped file</li>
<li>Run setup and follow instructions on the screen</li>
<li>Click the icon to run application</li>

</ul>

<h3>Installation instructions - Apple Mac</h3>

<ul>
<li>Download application bundle from the link above</li>
<li>Extract the contents of the zipped file and copy it to a folder of your choice</li>
</ul>


<h3>Installation instructions - Linux, UNIX and BSD</h3>

<ul>
<li>Download application from the link above</li>
<li>Extract the contents to a folder of your choice</li>
<li>Start backup client using the following command
	<ul>
		<li><code>java -jar SyncrifyClient.jar</code></li>
	</ul>
</li>
<li><b>IMPORTANT</b>: You will need Java runtime, which can be downloaded from <a href="http://java.net">http://java.net</a></li>
</ul>



<%@ include file="Footer.jsp" %>