<%@ include file="Header.jsp" %>
<H1>Database Status</H1>


<% 
String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null && infoMessage.length() > 0){
	%><br><br>
	<div class="syn_error"><%=infoMessage %></div><br><br>	
	<%
}
%>

<br><br>
<table class="infoTable" width="100%" border="0">

<tr>
    <td rowspan="9" width="260"><img src="images/Settings.png" width="200"></td>
</tr>
<tr>
	<th align="right">Connected to:</th>
	<td><%= request.getAttribute("rdbmsName") == null ? "Not connected" : request.getAttribute("rdbmsName") %></td>
</tr>

<tr>
	<th align="right">Host name:</th>
	<td><%= request.getAttribute("dbServerHost") == null ? "N/A" : request.getAttribute("dbServerHost") %></td>
</tr>

<tr>
	<th align="right">TCP/IP port:</th>
	<td><%= request.getAttribute("dbServerPort") == null ? "N/A" : request.getAttribute("dbServerPort") %></td>
</tr>

<tr>
	<th align="right">User login:</th>
	<td><%= request.getAttribute("dbUID") == null ? "N/A" : request.getAttribute("dbUID") %></td>
</tr>

<tr>
	<th align="right">Table name:</th>
	<td><%= request.getAttribute("tableName") == null ? "N/A" : request.getAttribute("tableName") %></td>
</tr>

<tr>
	<th align="right">User count:</th>
	<td><%= request.getAttribute("totalUsers") == null ? "N/A" : request.getAttribute("totalUsers") %></td>
</tr>

<tr>
	<th align="right">Total connections:</th>
	<td><%= request.getAttribute("totalConnections") == null ? "N/A" : request.getAttribute("totalConnections") %></td>
</tr>

<tr>
	<th align="right">In-use connections:</th>
	<td><%= request.getAttribute("inUseConnections") == null ? "N/A" : request.getAttribute("inUseConnections") %></td>
</tr>

</table>

<br><br>

<div class="syn_tilegray">



<form action="<%=controllerPath%>" method="POST">
	<fieldset>
	<legend>Switch back to local storage</legend>
	
	<div class="notes">
        <h4>Local storage</h4>
        <p class="last">Click this button if you wish to use local storage instead of a relational database.</p>
    </div>
       
       
	<DIV>	
		<LABEL for="proceedButton">&nbsp;</LABEL>				
		<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Switch to local storage" title="Click here to switch back to local storage" />				
	</DIV>
				
	<DIV>
		<LABEL for="chkConfirmed" class="labelCheckbox">
		<INPUT type="checkbox" name="chkConfirmed" id="chkConfirmed" class="inputCheckbox" value="1" title="Check this box to confirm your intension" /> Confirm</LABEL>
		<small>You must check this box to confirm this operation</small>				
	</DIV>
	</fieldset>


<input type="hidden" name="operation" value="rdbms" />
<input type="hidden" name="st" value="removeRdbms" />


</form>

<!-- 
<a href="app?operation=rdbms&st=removeRdbms" style="font-size:1.4em; font-weight:bold"
	onclick="javascript:return confirm('This operation will configure Syncrify to use local XML files to store user information. Are you sure?')"
>Remove RDBMS</a><br><small>Click here to use XML files instead of an RDBMS to store user information</small>  

-->
</div>



<%@ include file="Footer.jsp" %>