<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%@page import="com.synametrics.sradef.util.ForJsp"%>

<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="en-US" xml:lang="en-US">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<title>
<%
String currentVersion = com.synametrics.sradef.util.VersionManager.getInstance().getMajorVersion() + "." + 
						com.synametrics.sradef.util.VersionManager.getInstance().getMinorVersion();

String currentFullVersion = com.synametrics.sradef.util.VersionManager.getInstance().getFullVersion();

String selectedTab = (String)request.getAttribute("selectedTab");
String imgPath = com.synametrics.sradef.config.AppConfig.getInstance().getStringValue("imagePath");
String title = (String)request.getAttribute("pageTitle");
String controllerPath = com.synametrics.sradef.config.StaticConfig.getInstance().getControllerPath();

if(System.getProperty("enable.CSRF.prevention", "false").equalsIgnoreCase("true")){
	controllerPath = response.encodeURL(controllerPath);
}

if(title == null){
    out.print(com.synametrics.sradef.config.StaticConfig.getInstance().getApplicationTitle() + " - Version: " + currentFullVersion);
}else{
    out.print(title);
}

if(selectedTab == null){
	selectedTab = "NotLoggedIn";
}

%> 
</title>

<%
String metaDescription = com.synametrics.sradef.config.StaticConfig.getInstance().getApplicationTitle();
String metaKeywords = metaDescription;

if(request.getAttribute("metaDescription") != null){
	metaDescription = (String)request.getAttribute("metaDescription");
}
if(request.getAttribute("metaKeywords") != null){
	metaKeywords = (String)request.getAttribute("metaKeywords");
}



%>

<meta NAME="Description" CONTENT="<%=metaDescription %>" />
<meta NAME="Keywords" CONTENT="<%=metaKeywords %>" />
<meta http-equiv="X-UA-Compatible" content="IE=8" />

<link rel="Shortcut Icon" href="images/favicon.ico" type="image/x-icon" />

<link rel="stylesheet" href="images/style.css" type="text/css" media="screen" />
<script src="images/tabs.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" title="Blue" href="images/popup.css" />
<script src="images/popup.js" type="text/javascript"></script>
<%
if(request.getAttribute("hideForms") == null){
%>
<link rel="stylesheet" type="text/css"  href="images/forms.css" />
<%
}
%>
<%
if(request.getAttribute("showAjaxOpenFileDlg.css") != null){
%>
<link rel="stylesheet" type="text/css" href="images/AjaxOpenFileDlg.css" />
<%
}
%>




<%
if(request.getAttribute("showAjaxFileExplorer.css") != null){
%>
<link rel="stylesheet" type="text/css" href="images/AjaxFileExplorer.css" />
<%
}
%>

	
<%
if(request.getAttribute("showSyncrifyRadmin.css") != null){
%>
<link rel="stylesheet" type="text/css" href="images/SyncrifyRadmin.css" />
<%
}
%>
	
<%
if(request.getAttribute("showTabs.js") != null){
%>
<script src="images/tabs.js" type="text/javascript"></script>

<%
}
%>

	

<script type="text/javascript"><!--//--><![CDATA[//><!--
sfHover = function() {
	if (!document.getElementsByTagName) return false;
	var sfEls = document.getElementById("nav").getElementsByTagName("li");

	for (var i=0; i<sfEls.length; i++) {
		sfEls[i].onmouseover=function() {
			this.className+=" sfhover";
		}
		sfEls[i].onmouseout=function() {
			this.className=this.className.replace(new RegExp(" sfhover\\b"), "");
		}
	}
}
if (window.attachEvent) window.attachEvent("onload", sfHover);
//--><!]]></script>
</head>


<%
String contextMenu = "";
if(request.getAttribute("hideContextMenu") != null){
	contextMenu = " oncontextmenu=\"return false;\"";
}
%>
<body <%=contextMenu %>>

<div><a id="top"></a></div>

<div id="wrap">

	<div id="topnavbar">
	
		<div class="topnavbarleft">

			<p><%=ForJsp.formatDate(System.currentTimeMillis()) %></p>
		</div>
        
		<div class="topnavbarright">
			<p>
				<a class="rsslink" rel="nofollow" href="<%=request.getAttribute("supportUrl") %>">Support</a>
				<a class="rsslink" rel="nofollow" href="<%=request.getAttribute("companyHome") %>">Company</a>
			</p>

		</div>

	</div>

<div id="header">

	<div class="headerleft" id="imageheader">
		<%=com.synametrics.syncrify.bean.Brander.getInstance().getBrandString() %>
	</div>

	
			
	<div class="headerright">
        <ul id="headerwidgeted">
       		<li id="text-2" class="widget widget_text">			
       		<div class="textwidget"><%=com.synametrics.syncrify.bean.Brander.getInstance().getRightSideAnchorWithImage() %></div>
		</li>
        </ul>
	</div>

</div>

<div id="navbar">

	<%
	
	if(selectedTab.equalsIgnoreCase("User")){
	%>
		<%@ include file="UserMenu.jsp" %>
	<%	
	}else if(selectedTab.equalsIgnoreCase("Admin")){
	%>
		<%@ include file="AdminMenu.jsp" %>	
	<%	
	}else{
	%>
		<%@ include file="NotLoggedInMenu.jsp" %>	
	<%	
	}
	%>
	
</div>

<div class="clear"></div>
<div id="content">


	<div id="contentleft" class="<%= request.getAttribute("hideSideBar") == null ? "content750" : "content960" %>">
	
		<div class="postarea <%= request.getAttribute("hideSideBar") == null ? "postarea728" : "postarea938" %>">
	
		<div class="breadcrumb <%= request.getAttribute("hideSideBar") == null ? "breadcrumb728" : "breadcrumb938" %>"><%=request.getAttribute("breadcrumbs") == null ? "&nbsp;" : request.getAttribute("breadcrumbs") %></div>			

