<%@ include file="TipHeader.jsp" %>



<form action="<%=controllerPath%>" target="_parent" method="post" >
<table>
	
	<tr>
		<th align="right" valign="top">Login Email:</th>
		<td><%=request.getAttribute("login") == null ? "" : request.getAttribute("login") %></td>
	</tr>
	
	<tr>
		<th align="right" valign="top">User's Name:</th>
		<td><input type="text" value="<%=request.getAttribute("fullName") == null ? "" : request.getAttribute("fullName") %>" name="fullName" size="30"><br>
		<small>User's full name.</small><br></td>
	</tr>
	
	<%
	if(request.getAttribute("displayEmail") != null){
		%>
		<tr>
			<th align="right" valign="top">Email:</th>
			<td><input type="text" value="<%=request.getAttribute("reportRecipient") == null ? "" : request.getAttribute("reportRecipient") %>" name="reportRecipient" size="30"><br>
			<small>Reports will be sent to this email address.</small><br></td>
		</tr>
		<%
	}
	%>
	
	<tr>
		<th align="right" valign="top">Password:</th>
		<td><input type="password" value="<%=request.getAttribute("password") == null ? "" : request.getAttribute("password") %>" name="password" size="30"><br>
		<small>Assign a new password for this user</small></td>
	</tr>
	
	
	<tr>
		<th align="right" valign="top">Active:</th>
		<td><input type="checkbox" <%=request.getAttribute("active") == null ? " checked='checked' " : "" %> name="active" value="1" ><br>
		<small>Uncheck this box to deactivate a user temporarily</small></td>
	</tr>
	
	
	<tr>
		<th align="right" valign="top">Max Versions:</th>
		<td><input type="text" value="<%=request.getAttribute("numVersionsToKeep") == null ? "" : request.getAttribute("numVersionsToKeep") %>" name="numVersionsToKeep" size="5"><br>
		<small>Maximum number of versions to keep on the server</small></td>
	</tr>
	
	
	<tr>
		<th align="right" valign="top">Disk Quota:</th>
		<td><input type="text" value="<%=request.getAttribute("diskQuota") == null ? "" : request.getAttribute("diskQuota") %>" name="diskQuota" size="5"><br>
		<small>Maximum disk space allowed for this user. -1 means no limits. Use acronyms for higher values. Ex. 10gb, 500mb</small></td>
	</tr>
	
	<tr>
		<th align="right" valign="top">Selection filter:</th>
		<td><input type="text" value="<%=request.getAttribute("selFilter") == null ? "" : request.getAttribute("selFilter") %>" name="selFilter" size="20"><br>
		<small>Selection filter allow administrators to restrict certain files from backing up.</small></td>
	</tr>
	
	
	<tr>
		<th align="right" valign="top">Bandwidth Throttling:</th>
		<td><input type="text" value="<%=request.getAttribute("requiredBandwidthInKBPS") == null ? "0" : request.getAttribute("requiredBandwidthInKBPS") %>" name="requiredBandwidthInKBPS" size="5"><br>
		<small>Maximum transfer speed in KB per second.</small></td>
	</tr>
		
	<%
	if(request.getAttribute("daysForDeleteRetention") != null){
		%>
		<tr>
			<th align="right" valign="top">Delete&nbsp;retention&nbsp;days:</th>
			<td><input type="text" value="<%=request.getAttribute("daysForDeleteRetention") == null ? "0" : request.getAttribute("daysForDeleteRetention") %>" name="daysForDeleteRetention" size="5"><br>
			<small>Number of days to retain deleted files.</small></td>
		</tr>
		<%
	}
	%>
	
	<%
	if(request.getAttribute("allowIPRestrictionViaGui") != null){
		%>
		<tr>
			<th align="right" valign="top">Allowed hosts:</th>
			<td><input type="text" value="<%=request.getAttribute("allowedIPAddresses") == null ? "" : request.getAttribute("allowedIPAddresses") %>" name="allowedIPAddresses" size="25"><br>
			<small>Specify IP addresses separated by a comma, <b>localhost</b>, or <b>intranet</b>.</small></td>
		</tr>
		<%
	}
	%>
	
	<tr>
		<th></th>
		<td><input type="submit" value="Save user" class="dialogButton"></td>
	</tr>
</table>

<input type="hidden" name="operation" value="manageUsers">
<input type="hidden" name="st" value="saveUser">
<input type="hidden" name="email" value="<%=request.getParameter("email")%>">




</form>
<%@ include file="TipFooter.jsp" %>