

<%@ include file="Header.jsp" %>



<style>
tr.red{
	color: red;
}

tr.grey{
	color: #AAAAAA;
}

tr.blue{
	color: blue;
}

tr.black{
	color: black;
}

</style>



<h1>Upcoming and missed backup jobs</h1>

<%
String imgAlive = "images/arrowUp.png";
String imgDead = "images/arrowDown.png";

String lblAlive = "Server is able to see the client.";
String lblDead = "Server cannot contact the client. Refer to details below.";
%>

<h2 class="tab" id="tab1">Upcoming jobs</h2>
  <div class="section">
	  <%@ include file="ReportUpcomingJobs.jsp" %>
  </div>
  
<h2 class="tab" id="tab2">Missed jobs</h2>
  <div class="section">
	  <%@ include file="ReportMissedJobs.jsp" %>
  </div>  

<b>Current time on server:</b> <%=request.getAttribute("currentTimeOnServer") %>  
<br><br>
<b>NOTE: </b>
Next/expected runtime may be slightly off. This occurs when the clocks on server and client machines are not synchronized. Additionally, the times you see on this screen 
are with respect to server's clock.
  
<br><br>
<a href="http://web.synametrics.com/SyncrifyUMReport.htm#missingRecords" target="_blank">Click here</a> if you don't see records every record in this report. Additionally, if 
you see a <img src="<%= imgDead %>" /> next to a record, that means Syncrify server is not able to communicate with Syncrify client. This occurs when the client machine is:
<ul>
	<li>Turned off or sleeping</li>
	<li>Not on the network</li>
	<li>Backup monitor service is not running (Windows only)</li>
</ul>

<h3>Color coding</h3>
The missed records are displayed in different colors. 
<ul>
	<li><span style="color:red"><strong>Red</strong></span> - These records are over 2 days old</li>
	<li><span style="color:blue"><strong>Blue</strong></span> - Records less then 2 days old</li>
	<li><span style="color:#AAAAAA"><strong>Grey</strong></span> - Recently missed records. These could appear if the clocks are not synchronized.</li>
	<li><span style="color:black"><strong>Black</strong></span> - Future records.</li>
</ul>
<script>
setupTabs();
</script>

<%@ include file="Footer.jsp" %>
