<%@page import="com.synametrics.syncrify.bean.Brander"%>
<%@ include file="Header.jsp" %>

<%
boolean preselectImage = Brander.getInstance().getImageLogo() != null && Brander.getInstance().getImageLogo().length() > 0;
%>

<script>
function toggleLayer(blockName, styleName){
    var style2
    if (document.getElementById){
        // this is the way the standards work
        style2 = document.getElementById(blockName).style;
    }else if (document.all){
        // this is the way old msie versions work
        style2 = document.all[blockName].style;
    }else if (document.layers){
        // this is the way nn4 works
        style2 = document.layers[blockName].style;
    }
    style2.display = styleName;
}


function showImageBased(){
   toggleLayer('imageBased', 'block');
   toggleLayer('textBased', 'none');
}

function showTextBased(){
   toggleLayer('imageBased', 'none');
   toggleLayer('textBased', 'block');
   
}
</script>



<img src="images/branding.jpg" style="Float:right;">

<h1>Branding Syncrify Server</h1>

<br><br>
Branding Syncrify server allow you to put your company name on the web interface. 

<br><br>

The following screens will prompt you for a set of questions. You do not have to answer all of them. Default values
will be assigned if you skip an answer.


<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%><br><br>
	<p class="error"><%=errorMsg %></p>
	<%
}
%>
<br><br>



Please select the type of license you would like to purchase.
<form action="<%=controllerPath%>" method="POST">
  	 
     <fieldset>
     <legend>Branding type</legend>
     
     <div class="notes">

        <h4>Prerequisite</h4>
        <p class="last">
        If you decide to use images, you must save the desired image files to <br>
		<b><%=request.getAttribute("brandingFolder") %></b><br> folder and then specify the file names
		here.		
		
        </p>
     </div>
     
     
     
     <div class="required">
     	<label for="TextBased" class="labelRadio compact"><input type="radio" 
     		onclick="showTextBased();" name="bType" id="TextBased" class="inputRadio" 
     		value="textual" <%= preselectImage ? "" : "checked='checked'" %> /> Use Textual Values</label>
     </div>
     
     
     <div class="required">
     <label for="ImageBased" class="labelRadio compact"><input type="radio"  
     	onclick="showImageBased();" name="bType" id="ImageBased" class="inputRadio" 
     	value="images" <%= preselectImage ?  "checked='checked'" : "" %> /> Use Images</label>
     </div>
     
     
     <div id="textBased">
		These values will appear on the upper left hand corner of the screen in two lines. 
		
		<div class="required">
	    	<label for="line1">Main heading:</label>
	     	<input type="text" name="line1" id="line1" class="inputText" value="<%= Brander.getInstance().getLine1() %>" />
	     	<small>This value will appear on the upper left hand corner.</small>
	    </div>
		
		<div class="required">
	    	<label for="line2">Sub heading:</label>
	     	<input type="text" name="line2" id="line2" class="inputText" value="<%= Brander.getInstance().getLine2() %>" />
	     	<small>This value will appear on the upper right hand corner.</small>
	    </div>
		
		
	 </div>
		     
     
     <div id="imageBased">
		These images will appear on the towards the top of the screen. Create image
		files before saving this page.
		
		<div class="required">
	    	<label for="logoImage">Main image:</label>
	     	<input type="text" name="logoImage" id="logoImage" class="inputText" value="<%= Brander.getInstance().getImageLogo() %>" 
	     		title="Type the file name of the image without any path information."/>
	     	<small>This image will appear on the upper left hand corner. It should be 315x112 pixels</small>
	    </div>
		
		<div class="required">
	    	<label for="rightImage">Right image:</label>
	     	<input type="text" name="rightImage" id="rightImage" class="inputText" value="<%= Brander.getInstance().getRightImage() %>" 
	     		title="Type the file name of the image without any path information."/>
	     	<small>This image will appear on the upper right hand corner. It should be 468x60 pixels</small>
	    </div>
	    
	 </div>
	 
	 </fieldset>
	 <fieldset>
     <legend>Other settings</legend>
	 
	 
	 <div class="notes">

        <h4>IMPORTANT</h4>
        <p class="last">
        The URLS for <b>Home page</b>, <b>Support</b>, <b>Search</b> and <b>About</b> will always refer to Synametrics when you log in as
        admin.<br><br>However, when someone connects as a non-admin user, they will see the links you specify
        here.
				
		<br><br>Therefore, you won't see these URLs change until you logout.
        </p>
     </div>
	 
	 
	 
	 <div class="required">
    	<label for="companyHome">Home page:</label>
     	<input type="text" name="companyHome" id="companyHome" class="inputText" value="<%= Brander.getInstance().getCompanyHome() %>" 
     		title="This value appear on the upper right hand corner of the screen"/>
     	<small>This should refer to your company's home page. For example, http://yourCompany.com
     	<a href="images/sbSupportUrl.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
     	</small>
    </div>
    
    
    <div class="required">
    	<label for="browserTitle">Browser title:</label>
     	<input type="text" name="browserTitle" id="browserTitle" class="inputText" value="<%= Brander.getInstance().getBrowserTitle() %>" 
     	title="This URL is displayed when user clicks the About link."/>
     	<small>Text that appears in the <b>Title bar</b> of client's browser</small>
    </div>
    
    
    <div class="required">
    	<label for="aboutUrl">About URL:</label>
     	<input type="text" name="aboutUrl" id="aboutUrl" class="inputText" value="<%= Brander.getInstance().getAboutUrl() %>" 
     	title="This URL is displayed when user clicks the About link."/>
     	<small>This should refer to your company's home page. For example, http://yourCompany.com
     	<a href="images/sbAboutUrl.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
     	</small>
    </div>
    
	 <div class="required">
    	<label for="supportUrl">Support URL:</label>
     	<input type="text" name="supportUrl" id="supportUrl" class="inputText" value="<%= Brander.getInstance().getSupportUrl() %>" 
     	title="This value appear on the upper right hand corner of the screen"/>
     	<small>This can either be an email or a webpage. For example, support@YourCompany.com OR http://yourCompany.com/support.htm 
     	<a href="images/sbSupportUrl.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
     	</small>
    </div>
    
	<div class="required">
    	<label for="searchUrl">Search URL:</label>
     	<input type="text" name="searchUrl" id="searchUrl" class="inputText" value="<%= Brander.getInstance().getSearchUrl() %>" 
     	title="This URL should refer to a website where user can search for help documents."/>
     	<small>URL used to search for help documents on your website. This webpage should accept a parameter <b>"s"</b> containing the search string.</small>
    </div>    
	
    <%
    String faqChecked = Brander.getInstance().showFaq() ? "" : " checked='checked' ";
    %>
    
	 <DIV class="required">
		<LABEL for="hideFaq">Hide FAQ:</LABEL>			
		<INPUT type="checkbox" name="hideFaq" id="hideFaq" value="true" <%=faqChecked %> />
		<small>If checked, the FAQ section referring to links on Synametrics' website will be hidden
		from the user.
		</small>
	</DIV>
	
	
	
	<DIV>	
		<LABEL for="proceedButton">&nbsp;</LABEL>				
		<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Apply" />				
	</DIV>
	
	
     </fieldset>


<input type="hidden" name="operation" value="sbrand">
<input type="hidden" name="st" value="save">


</form>

</div>



<script>
<%
if(preselectImage){
	out.println("showImageBased();");
}else{
	out.println("showTextBased();");
}
%>
</script>

<%@ include file="Footer.jsp" %>