<%@page import="java.util.List, com.synametrics.syncrify.bean.SyncriBoxClientBean"%>
<%@ include file="Header.jsp" %>

<h1>SyncrifyBox Configuration</h1>

<%
String message = (String) request.getAttribute("infoMessage");
if(message != null){
	%>
	<br><br>
	<div class="syn_error">
	<%=message %>
	</div>
	<%
}
%>


<br><br>
<div>
<form action="<%=controllerPath%>" method="post" >
<fieldset>


<DIV class="notes">
	<H5>NOTE</H5>
	<P class="last">
		It is strongly recommend not to change values on this page once SyncriBox clients have
		been installed on remote clients.
	</P>
</DIV>



<DIV class="required">
	<LABEL for="folderName">App/Folder Name:</LABEL>			
	<INPUT type="text" name="folderName" id="folderName" class="inputText" <%=request.getAttribute("readonly") %>
		value="<%= request.getAttribute("folderName") == null ? "" : request.getAttribute("folderName") %>" <%= request.getAttribute("additionalAttr")%>/>
	<small>A one-word folder name for SyncriBox. Same name is used to identify the application. This value can only
	be modified once.</small>
</DIV>

<div class="required">
	<label for="useEncryption" class="labelCheckbox"><input type="checkbox" 
			name="useEncryption" id="useEncryption" class="inputCheckbox" 
			<%=request.getAttribute("useEncryption") %>
			value="1" /> Enable Profile Encryption</label>
	<small>If checked, files will be encrypted on Syncrify Server's repository</small>
</div>

<div class="submit">
	<div>
	  <input type="submit" class="inputSubmit" value="Save &raquo;" />          
	</div>
</div>      	
</fieldset>
	<input type="hidden" name="operation" value="sbConfig">
    <input type="hidden" name="st" value="save">
    
    
</form>
</div>



<%
List<SyncriBoxClientBean> activeClients = (List<SyncriBoxClientBean>) request.getAttribute("activeClients");
if(activeClients != null && activeClients.size() > 0){
	%>
	<H2>Active Clients</H2>
	<br><br>
	
	<table class="appTable" style="width:100%">
		<tr><th>User ID</th><th>Connecting from</th><th>Last activity</th></tr>
	<%
	for(int i = 0; i < activeClients.size(); i++){
		SyncriBoxClientBean oneClient = activeClients.get(i);
		
		%>
		
		<!-- Client ID: <%=oneClient.getClientId() %> -->
		<tr><td><%=oneClient.getUid() %></td><td><%=oneClient.getIpAddress() %></td><td><%=oneClient.getLastAccessedOnAsStr() %></td></tr>
		<%
	}
	%>
	</table>
	
	<%
}
%>

<%@ include file="Footer.jsp" %>