<%@ include file="Header.jsp" %>

<h3>Switch to static IP</h3>
The network on this machine is configured to obtain an IP address from a DHCP server. We strongly recommend changing the machine's IP address to a static value.
Please refer to the values below, modify if necessary and click save. 

<form action="<%=controllerPath%>" method="post" >

<fieldset>

<LEGEND>Network configuration</LEGEND>



<DIV class="notes">
	<H4>Network configuration</H4>
	<P class="last">
		Following values were obtained from the current network settings, which were obtained from a DHCP server. 
	</P>
</DIV>



<DIV class="required">
	<LABEL for="ipAddress">IP Address:</LABEL>			
	<INPUT type="text" name="ipAddress" id="ipAddress" class="inputText" value="<%= request.getAttribute("ipAddress") == null ? "" : request.getAttribute("ipAddress") %>" />
	<small>IP Address for this machine.</small>
</DIV>

<DIV class="required">
	<LABEL for="subnetMask">Subnet mask:</LABEL>			
	<INPUT type="text" name="subnetMask" id="subnetMask" class="inputText" value="<%= request.getAttribute("subnetMask") == null ? "" : request.getAttribute("subnetMask") %>" />
	<small>Subnet mask.</small>
</DIV>

<DIV class="required">
	<LABEL for="gateway">Default gateway:</LABEL>			
	<INPUT type="text" name="gateway" id="gateway" class="inputText" value="<%= request.getAttribute("gateway") == null ? "" : request.getAttribute("gateway") %>" />
	<small>Default gateway.</small>
</DIV>

<DIV class="required">
	<LABEL for="dnsServer">DNS servers:</LABEL>			
	<INPUT type="text" name="dnsServer" id="dnsServer" class="inputText" value="<%= request.getAttribute("dnsServer") == null ? "" : request.getAttribute("dnsServer") %>" />
	<small>DNS servers. Use a SPACE to separate more than one server.</small>
</DIV>


<DIV>	
	<LABEL for="proceedButton">&nbsp;</LABEL>				
	<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Save" />				
</DIV>

</fieldset>

<input type="hidden" name="operation" value="config" />
<input type="hidden" name="st" value="switchToStaticIPSave" />

</form>


<%@ include file="Footer.jsp" %>