
     
    # Set Strict Mode  
    Set-Strictmode -Version 2.0 
    # Set Constants 
    $NET_FW_IP_PROTOCOL_UDP = 17 
    $NET_FW_IP_PROTOCOL_TCP = 6 
     
    # Create the firewall manager object. 
    $fwMgr = New-Object -COM HNetCfg.FwMgr 
     
    # Get the current profile for the local firewall policy. 
    $profile = $fwMgr.LocalPolicy.CurrentProfile 
     
    
     
     
    $port = New-Object -COM HNetCfg.FWOpenPort 
    $port.Name = "^^RuleName^^" 
    $port.Protocol = $NET_FW_IP_PROTOCOL_TCP 
    $port.Port = ^^PortNumber^^ 
     
    # If using RemoteAddresses, don't use Scope 
    # "*" means Scope of Any. Other entries are ignored if this is specified. 
    # "LocalSubnet" means Scope of Local Subnet. Can be used with other addresses as well.  
    $port.RemoteAddresses = "*" 
     
    # Use this line to scope the port to Local Subnet only 
    #$port.RemoteAddresses = "LocalSubnet" 
     
    #Use this line to scope the port to the specific IP 10.1.1.1, the specific subnet 12.5.0.0, and Local Subnet. Don't put spaces. 
    #port.RemoteAddresses = "LocalSubnet,10.1.1.1/255.255.255.255,12.5.0.0/255.255.0.0" 
     
    $port.Enabled = $TRUE 
     
    #Use this line instead if you want to add the port, but disabled 
    #port.Enabled = FALSE 
     
    # Now add the port 
    $profile.GloballyOpenPorts.Add($port) 
     
  
	exit 1