# Result will look like:
# Name            : Adobe Version Cue CS4 Server
# IpVersion       : 2
# Protocol        : 6
# Port            : 51000
# Scope           : 0
# RemoteAddresses : *
# Enabled         : True
# BuiltIn         : False

$portParam = "^^PortNumber^^"

$profile = (new-object -com HNetCfg.FwMgr).LocalPolicy.CurrentProfile 

# Is firewall enabled? 
if ($profile.FirewallEnabled) { 
    $retCode = 0
} 
else { 
    $retCode = 100
} 

	
$ports = $profile.GloballyOpenPorts
$candidate = $ports | Where-Object { $_.Port -match $portParam }

if($candidate -eq $null){	
	$retCode = $retCode + 2
	"Port not configured: {0}" -f $retCode
}else{
	$candidate.Enabled = $TRUE
	$retCode = $retCode + 3
	"Port {0} is now enabled" -f $retCode
		
}

exit $retCode